Help - Search - Members - Calendar
Full Version: Pidgin
OESF Forums > Distros, Development, and Model Specific Forums > Distro Support and Discussion > pdaXrom
jpmatrix
i've installed pidgin from z.drun.net but it seems it wants some libraries :

libpurple.so.0

any help please?
kkazakov13
How you installed it ? libpurple.so.0 is inside pidgin's package.
jpmatrix
QUOTE(kkazakov13 @ Jun 29 2007, 08:38 PM)
How you installed it ? libpurple.so.0 is inside pidgin's package.
*


hmm via package manager under pdaxii13 5.4.6... perhaps something went wrong during install process... i'll try a stock ipkg install tomorrow morning when i'm awaken wink.gif
jpmatrix
here is the error i m having on launch :

root-smile.gif pidgin: relocation error: pidgin: undefined symbol: g_object_ref_sink

[1]+ Exit 127 pidgin

any help?
kkazakov13
Yes - as you started, just upgrade all CORE libraries biggrin.gif gtk2, glibc, and the rest smile.gif But backup first, please. They work here flawlessly, but just in case. I'm using modified beta 3, not pdaxii13
jpmatrix
you know what ? i killed my pdaxii13 smile.gif
so far i'm going to try angstrom again wink.gif
thanks for help smile.gif
kkazakov13
you killed it ? wow, even I was unable to do this with all my compilations, library overwriting and so on biggrin.gif
jpmatrix
QUOTE(kkazakov13 @ Jul 1 2007, 09:11 AM)
you killed it ? wow, even I was unable to do this with all my compilations, library overwriting and so on biggrin.gif
*


when i installed your gtk libraries, on next startx there was no icon on the display... and i didn't find any glibc or x11-related packages on your repository. anyway i'll give it another try later...

has someone succeed in running pidgin under pdaxii13 ?
adf
It didn't work for me either---there are apparently some incopatibilities, as you experienced
kkazakov13
Well, it runs on library-upgraded pdaxrom beta 3. No idea about pdaxii13. If it does not work - compile it by yourself. It's all I can tell you sad.gif works great here, and use it almost every day.
Meanie
see the new package announcement thread. i compiled a pidgin 2.0.2 for stock beta3 which requires no package upgrades and also pdaXii13...
deadite66
QUOTE(Meanie @ Jul 3 2007, 01:12 AM)
see the new package announcement thread. i compiled a pidgin 2.0.2 for stock beta3 which requires no package upgrades and also pdaXii13...
*


get this when i run that version

CODE
root-:) pidgin
Pidgin has segfaulted and attempted to dump a core file.
This is a bug in the software and has happened through
no fault of your own.

If you can reproduce the crash, please notify the developers
by reporting a bug at:
http://developer.pidgin.im/newticket/

Please make sure to specify what you were doing at the time
and post the backtrace from the core file.  If you do not know
how to get the backtrace, please read the instructions at
http://developer.pidgin.im/wiki/GetABacktrace

If you need further assistance, please IM either SeanEgn or
LSchiere (via AIM).  Contact information for Sean and Luke
on other protocols is at
http://developer.pidgin.im/wiki/DeveloperPages
H Aborted
root-:)
Raul
I have the same error. And gaim segmentfaults too after installing this version of pidgin.
Raul
Newest build (2.0.2-1) segmentfaults in the same moment.
deadite66
2.0.2-1 worked for me.
Darth_Sith
2.0.2 work, but not with msn (required ssl support).
Other version doesn't work with pdaxii13.
scheck.r
For me, on pdaxii13 5.4.7, pidgin_2.0.2_1_armv5tel.ipk from Meanie(new packages announcements thread) works with MSN but not with gmail(SSL Handshake failed !) sad.gif
Darth_Sith
It's true. 2.0.2_1 work, 2.0.2 and 2.0.2_2 doesn't work.
However if I open the preference window it crash.
neon121
is it work with cacko .? wink.gif
its not work for me.
T3_slider
Pidgin is for X windows. You'll need to flash a distribution that runs X windows to use it -- or, alternatively, you can run it in X/Qt Jumbo which is available for Sharp/Cacko (or maybe not -- I've never used the Sharp/Cacko ROMs, so I'm no expert in this area).
jpmatrix
QUOTE(scheck.r @ Jul 30 2007, 12:32 AM)
For me, on pdaxii13 5.4.7, pidgin_2.0.2_1_armv5tel.ipk from Meanie(new packages announcements thread) works with MSN but not with gmail(SSL Handshake failed !) sad.gif
*


hi
same problem for me : i've installed pidgin 2.0.2 with ipkg install under pdaxii13 5.4.9.it works ok for all im but jabber (SSL Handshake failed).
any help?

EDITED:
after a googlesearch, i found that pidgin needs to be recompiled with a special option:

HOT TO FIX THE TLS ERROR FOR GOOGLE TALK IN PIDGIN!

In a couple of Really Easy Steps:

Since there is no Pidgin Package for Ubuntu yet, I assume you are already building from the source.

do 'make clean' if you have already built it and you get the error.

Open Synaptic Package Manager, search for and install 'libgnutls-dev'

When you run ./configure to build Pidgin, do './configure --enable-gnutls=yes', then look for
SSL Library/Libraries......... : GnuTLS
when it finishes.
jpmatrix
latest pidgin 2.1.1 tried under pdaxii13 : segfault on launch....

EDITED: i had to install dbus and dbus-glib before.
kkazakov13
Pidgin WORKS on my modified beta 3, not pdaxii13 - I don't use it.
Meanie
QUOTE(kkazakov13 @ Sep 6 2007, 05:45 PM)
Pidgin WORKS on my modified beta 3, not pdaxii13 - I don't use it.
*


it won't work in pdaXii13 but works under pdaXii13v2 aka build 5.5
jpmatrix
QUOTE(Meanie @ Sep 6 2007, 10:30 AM)
QUOTE(kkazakov13 @ Sep 6 2007, 05:45 PM)
Pidgin WORKS on my modified beta 3, not pdaxii13 - I don't use it.
*


it won't work in pdaXii13 but works under pdaXii13v2 aka build 5.5
*



pdaXii13v2 aka build 5.5 is available??????
This is a "lo-fi" version of our main content. To view the full version with more information, formatting and images, please click here.
Invision Power Board © 2001-2014 Invision Power Services, Inc.